import styles from './UserRole.less'

function UserRole(props) {
  const { userRole } = props
  return(
    <div className={styles.userRole}>
      {userRole < 11 && <img src={require('./assets/role1.png')} />}
      {userRole > 10 && userRole < 21 && <img src={require('./assets/role2.png')} />}
      {userRole > 20 && userRole < 31 && <img src={require('./assets/role3.png')} />}
      {userRole > 30 && userRole < 41 && <img src={require('./assets/role4.png')} />}
      {userRole > 40 && userRole < 51 && <img src={require('./assets/role5.png')} />}
      <div className={styles.text}>{userRole}</div>
    </div>
  )
}

export default UserRole