import UAParser from 'ua-parser-js'

const UA = new UAParser().getResult()

function iOS() {
  return UA.os.name == 'iOS';
}

function android() {
  return UA.os.name == 'Android'
}

function wechat() {
  return UA.browser.name == 'WeChat'
}

function QQ() {
  return UA.browser.name == 'QQ'
}

export default {
  iOS,
  android,
  wechat,
  QQ
}